<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home Page</title>
    <link href = "registerstyle.css?v=2" rel="stylesheet"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</head>
    <body>
        <!--Header + Log out button-->
        <div class="pt-3 pb-4 gradient-custom-3">
            <h1 style="position: relative; left: 25px">Expense Reimbursement System</h1>
            <button class="btn btn-success btn-block" id="logout-btn" style="float: right; position: relative; right: 20px; background-color: #000000; color: #FFFFFF">Logout</button>
        </div>

        <!--List of tabs-->
        <ul class="nav nav-tabs gradient-custom-3" role="tablist">
            <li class="nav-item" role="navigation">
                <button style="background-color: #FFFFFF;" class="nav-link active tab-custom" id="home-tab" data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">Home</button>
            </li>
            <li class="dropdown" role="navigation">
                <button style="background-color: #FFFFFF;" class="dropdown-toggle nav-link tab-custom" id="request-tab" data-bs-toggle="dropdown" data-bs-target="#request" type="button" role="tab" aria-controls="request" aria-selected="false">Request</button>
                <div class="dropdown-menu">
                    <button class="dropdown-item tab-custom" data-bs-toggle="tab" type="button" role="tab" id="new-request-tab" aria-selected="false" aria-controls="new-request" data-bs-target="#new-request">New</button>
                    <button class="dropdown-item tab-custom" data-bs-toggle="tab" type="button" role="tab" id="view-request-tab" aria-selected="false" aria-controls="view-request" data-bs-target="#view-request" value = "1" onclick = "viewRequests(this.value)">View</button>
                </div>
            </li>
            <li class="nav-item" role="navigation">
                <button style="background-color: #FFFFFF;" class="nav-link tab-custom" id="profile-tab" data-bs-toggle="tab" data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">Profile</button>
            </li>
        </ul>

        <!--Content of the tabs-->
        <div class="tab-content" id="myTabContent">
            <!--Home tab-->
            <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                <h2 style="position: relative; left: 25px" class="mt-4" id="home-content"></h2>
                <hr>
                <p style="position: relative; left: 25px">This is the Employee Homepage.</p>
            </div>
            <!--New Request tab-->
            <div class="tab-pane fade" id="new-request" role="tabpanel" aria-labelledby="new-request-tab">
                <h2 style="position: relative; left: 25px" class="mt-4" id="new-review-content">Make a New Request</h2>
                <hr>
                <div class="px-5">
                    <form id="request-form">
                        <div class="form-outline mb-4">
                            <label class="form-label" for="subject-input">Subject</label>
                            <input type="text" id="subject-input" class="form-control form-control-lg" required/>
                        </div>
                        <div class="form-outline mb-4">
                            <label class="form-label" for="description-input">Description</label>
                            <textarea type="text" id="description-input" class="form-control form-control-lg" rows="8" style="font-size: 15px;" required></textarea>
                        </div>
                        <br>
                        <div class="d-flex justify-content-center">
                            <button id="request-btn" type="submit" class="btn btn-success btn-block" style="background-color: #000000; color: #FFFFFF;">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
            <!--View Request tab-->
            <div class="tab-pane fade" id="view-request" role="tabpanel" aria-labelledby="view-request-tab">
                <h2 style="position: relative; left: 25px" class="mt-4" id="view-review-content">View Requests</h2>
                <hr>
                <div style="position: relative; left: 50px">
                    <button style="background-color: #000000; color: #FFFFFF; padding: 5px 35px;" type="button" value = "1" class ="btn btn-sm" id="all-request" onclick = "viewRequests(this.value)">All</button>
                    <button style="background-color: #000000; color: #FFFFFF; padding: 5px 20px;" type="button" value = "3" class ="btn btn-sm" id="pending-request" onclick = "viewRequests(this.value)">Pending</button>
                    <button style="background-color: #000000; color: #FFFFFF; padding: 5px 20px;" type="button" value = "2" class ="btn btn-sm" id="complete-request" onclick = "viewRequests(this.value)">Resolved</button>
                </div>
                <br>
                <div class="parent-container d-flex">
                    <!--List Column-->
                    <div class="container" style="width: 50%;">
                        <div class="row">
                            <div class="col">
                                <span style="position: relative; left: 30px; display: flex; flex-direction: column; " id="request-list"></span>
                            </div>
                        </div>
                    </div>
                    <!--Content Column-->
                    <div class="container">
                        <div class="row">
                            <div class="col" style="position: relative; left: 30px;">
                                <p id="request-content-s" style="font-size: 20px;"></p>
                                <p id="request-content-c" style="font-size: 18px;"></p>
                                <p id="request-content-d"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--Profile tab-->
            <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                <h2 style="position: relative; left: 25px" class="mt-4">Your Profile</h2>
                <hr>
                <p style="position: relative; left: 25px" id="profile-content1"></p>
                <p style="position: relative; left: 25px" id="profile-content2"></p>
                <br>
                <p style="position: relative; left: 25px"><b>Reset Password:</b></p>
                <p style="position: relative; left: 25px; color:red" id = "message"></p>
                <form id="password-form">
                    <div>
                        <div style="position: relative; left: 25px; width: 300px; float: left;">
                            <input style="font-size:15px" type="password" id="password-input" class="form-control form-control-lg" oninput="check()" required/>
                            <label class="form-label" for="password-input">Password</label>
                        </div>
                        <div style="position: relative; left: 50px; width: 300px; float: left;">
                                <input style="font-size:15px" type="password" id="repeat-password" class="form-control form-control-lg" oninput="check()" required/>
                                <label class="form-label" for="repeat-password">Re-enter password</label>
                        </div>
                    </div>
                    <br>
                    <br>
                    <br>
                    <div style="position: relative; right: 300px;">
                        <button id="password-btn" type="submit" class="btn btn-success btn-block" style="background-color: #000000; color: #FFFFFF">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    <script src="home.js?v=10"></script>
    </body>
</html>
